optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.MiscSystems.DACcontrol Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.DACcontrol:

## Public Member Functions
| __init__ (self, board=None)
| SetDACvalue (self, dac_channel, setpoint)
| GetDACvalue (self, dac_channel)
| GetDACbits (self, dac_channel)
| SetDACbits (self, dac_channel, setpoint)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| DAC_CHANNEL_NBR
| UNIT_BITS
| UNIT_VOLTAGE
| UNIT_CURRENT
| unit_txt
| dacUnits
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Attributes
| _readonly
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    The DAC control is controling external multichannel DAC device.
    DAC control System ID: 0x39

    +---------------------+---------------+-------------+----------+--------------+---------------+--------------------+
    | Register Name       | Id            | Type        | Unit     | Range        | Default       | Comment            |
    +=====================+================+=============+==========+==============+===============+====================+
    | Setpoint            | 0-4            | uint 32-bit | Volt     | 0 to 5.5     |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+
    | Setpoint            | 8-12           | uint 32-bit | miliAmps | 0 to 80      |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.MiscSystems.DACcontrol.__init__ | ( |  | self,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## Member Function Documentation

## ◆ GetDACbits()

optoKummenberg.registers.MiscSystems.DACcontrol.GetDACbits | ( |  | self,
|  |  | dac_channel )

## ◆ GetDACvalue()

optoKummenberg.registers.MiscSystems.DACcontrol.GetDACvalue | ( |  | self,
|  |  | dac_channel )

## ◆ help()

optoKummenberg.registers.MiscSystems.DACcontrol.help | ( |  | ) |
| static

## ◆ SetDACbits()

optoKummenberg.registers.MiscSystems.DACcontrol.SetDACbits | ( |  | self,
|  |  | dac_channel,
|  |  | setpoint )

## ◆ SetDACvalue()

optoKummenberg.registers.MiscSystems.DACcontrol.SetDACvalue | ( |  | self,
|  |  | dac_channel,
|  |  | setpoint )

## Member Data Documentation

## ◆ _readonly

optoKummenberg.registers.MiscSystems.DACcontrol._readonly
| protected

## ◆ DAC_CHANNEL_NBR

optoKummenberg.registers.MiscSystems.DACcontrol.DAC_CHANNEL_NBR

## ◆ dacUnits

optoKummenberg.registers.MiscSystems.DACcontrol.dacUnits

## ◆ name

optoKummenberg.registers.MiscSystems.DACcontrol.name

## ◆ sys_id

optoKummenberg.registers.MiscSystems.DACcontrol.sys_id

## ◆ UNIT_BITS

optoKummenberg.registers.MiscSystems.DACcontrol.UNIT_BITS

## ◆ UNIT_CURRENT

optoKummenberg.registers.MiscSystems.DACcontrol.UNIT_CURRENT

## ◆ unit_txt

optoKummenberg.registers.MiscSystems.DACcontrol.unit_txt

## ◆ UNIT_VOLTAGE

optoKummenberg.registers.MiscSystems.DACcontrol.UNIT_VOLTAGE

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py